-- Add the current religion building type
INSERT INTO Buildings(Type, BuildingClass, Description, NukeImmune, ConquestProb, Cost)
SELECT 'BUILDING_'||Type as Type, 'BUILDINGCLASS_'||Type as BuildingClass, Description as Description, 'true' as NukeImmune, '100' as ConquestProb, '-1' as Cost
FROM Religions;

-- Add the current religion building classes
INSERT INTO BuildingClasses(Type, DefaultBuilding, Description)
SELECT 'BUILDINGCLASS_'||Type as Type, 'BUILDING_'||Type as DefaultBuilding, Description as Description
FROM Religions;

-- Add the has-ever-been religion building type
INSERT INTO Buildings(Type, BuildingClass, Description, NukeImmune, ConquestProb, Cost)
SELECT 'BUILDING_HAS_BEEN_'||Type as Type, 'BUILDINGCLASS_'||Type as BuildingClass, Description as Description, 'true' as NukeImmune, '100' as ConquestProb, '-1' as Cost
FROM Religions;

-- Add the has-ever-been religion building classes
INSERT INTO BuildingClasses(Type, DefaultBuilding, Description)
SELECT 'BUILDINGCLASS_HAS_BEEN_'||Type as Type, 'BUILDING_HAS_BEEN_'||Type as DefaultBuilding, Description as Description
FROM Religions;